Subject: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: Juri Linkov <[email-masked]>
Date: Mon, 25 Jul 2011 14:18:14 +0300

>> But calling `make-frame' from the window test
>> fails with:
>>
>>   Test window-tests backtrace:
>>     make-terminal-frame(nil)
>>     tty-create-frame-with-faces(nil)
>>     make-frame()
>>     ...
>>   Test window-tests condition:
>>       (error "Unknown terminal type")
>
> I don't understand what you tried.  Testing frame creation in batch mode
> hardly works if you don't have Emacs wait for the window manager to come
> up with a window.  Even then you probably won't be able to check whether
> the frame is risen or in the foreground.

I tried to write a test in the subdir `test/automated'
where Makefile runs all tests in `-batch' mode.

>> How could Ert help testing in interactive mode?
>
> I never tried Ert.

ERT supported running tests in batch mode as well as interactively.
So window tests should be placed in some other place than `test/automated'.